/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLCurveFilletDlg.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "GLCurveFilletDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGLCurveFilletDlg ダイアログ


CGLCurveFilletDlg::CGLCurveFilletDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGLCurveFilletDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGLCurveFilletDlg)
	m_bJoin = FALSE;
	m_bTrim = FALSE;
	m_dRadius = 1.0;
	//}}AFX_DATA_INIT
}


void CGLCurveFilletDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGLCurveFilletDlg)
	DDX_Check(pDX, IDC_CHECK_FILLET_JOIN, m_bJoin);
	DDX_Check(pDX, IDC_CHECK_FILLET_TRIM, m_bTrim);
	DDX_Text(pDX, IDC_FILLET_R, m_dRadius);
	DDV_MinMaxDouble(pDX, m_dRadius, 0., 999999.999);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGLCurveFilletDlg, CDialog)
	//{{AFX_MSG_MAP(CGLCurveFilletDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
